//
//  SLLxViewController.m
//  SLAiELTS
//
//  Created by Gusont on 2023/3/8.
//

#import "SLLxViewController.h"
#import "SLLxView.h"

@interface SLLxViewController ()

@property (nonatomic, strong) SLLxView *lxView;

@end

@implementation SLLxViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    if (@available(iOS 11.0, *)) {
        self.lxView.mainCollectionView.contentInsetAdjustmentBehavior = UIScrollViewContentInsetAdjustmentNever;
    } else {
        self.automaticallyAdjustsScrollViewInsets = NO;
    }
    [self.lxView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.equalTo(self.view);
    }];
    self.lxView.viewModels = [SLPageViewModel lxPageViewModels];
    self.navigationBar.hidden = YES;
}

- (SLLxView *)lxView {
    if (!_lxView) {
        _lxView = [[SLLxView alloc] initWithFrame:CGRectZero];
        [self.view addSubview:_lxView];
    }
    return _lxView;
}

@end
